Subject: Re: bug#17792: 24.3; hintstyle specified via fontconfig is ignored by Emacs
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 12 Aug 2020 11:50:26 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> [email-masked] writes:
>
>> I've noticed font rendering differences between Emacs and other gtk
>> applications like gedit. In short, Emacs ignores hintstyle setting in
>> fontconfig. I have hintstyle set to hintslight in
>> ~/.config/fontconfig/fonts.conf, but I have to add 'Xft.hintstyle:
>> hintslight' in Xresources to get the desired effect.
>>
>> The strange thing is that while ignoring hintstyle setting, Emacs still
>> respect part of fontconfig settings, for example, anti-aliasing setting
>> in fonts.conf will affect Emacs's font rendering.
>>
>> To be more precise, if I disable anti-aliasing in fonts.conf and enable
>> it in Xresources, Emacs will not have anti-aliasing; if I have
>> hintslight in fonts.conf and hintnone in Xresources, Emacs will use
>> hintnone.
>>
>> I have tested with DejaVu Sans Mono 12 and Ubuntu Mono 13, but clearly
>> it is not the fonts' problem.
>
> Is this still an issue now that harfbuzz is enabled by default on the
> master branch?

More information was requested, but none was given within 45 weeks, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.

Best regards,
Stefan Kangas